## arduino 1.0.5+dfsg2

=== hardware/arduino/bootloaders/stk500v2/Makefile ===
# ----------------------------------------------------------------------------
# Makefile to compile and link stk500boot bootloader
# Author: Peter Fleury
# File:   $Id: Makefile,v 1.3 2006/03/04 19:26:17 peter Exp $
# based on WinAVR Makefile Template written by Eric B. Weddington, Jrg Wunsch, et al.
#
# Adjust F_CPU below to the clock frequency in Mhz of your AVR target
# Adjust BOOTLOADER_ADDRESS to your AVR target
#
#----------------------------------------------------------------------------
# On command line:
#
# make all = Make software.
#
# make clean = Clean out built project files.
#
# make coff = Convert ELF to AVR COFF.
#
# make extcoff = Convert ELF to AVR Extended COFF.
#
# make program = Download the hex file to the device, using avrdude.
#                Please customize the avrdude settings below first!
#
# make debug = Start either simulavr or avarice as specified for debugging, 
#              with avr-gdb or avr-insight as the front end for debugging.
#
# make filename.s = Just compile filename.c into the assembler code only.
#
# make filename.i = Create a preprocessed source file for use in submitting
#                   bug reports to the GCC project.
#
# To rebuild project do "make clean" then "make all".
#----------------------------------------------------------------------------
#	<MLS> = Mark Sproul msproul-at-skychariot.com


# MCU name
#MCU = atmega128


# Processor frequency.
#     This will define a symbol, F_CPU, in all source code files equal to the 
#     processor frequency. You can then use this symbol in your source code to 
#     calculate timings. Do NOT tack on a 'UL' at the end, this will be done
#     automatically to create a 32-bit value in your source code.
#F_CPU = 16000000


# Bootloader
# Please adjust if using a different AVR
# 0x0e00*2=0x1C00 for ATmega8  512 words Boot Size
# 0xFC00*2=0x1F800 for ATmega128  1024 words Boot Size
# 0xF800*2=0x1F000 for ATmega1280
# 0xF000*2=0x1E000 for ATmega1280
#BOOTLOADER_ADDRESS = 1E000


# Output format. (can be srec, ihex, binary)
FORMAT = ihex


# Target file name (without extension).
TARGET = stk500boot


# List C source files here. (C dependencies are automatically generated.)
SRC = stk500boot.c 


# List Assembler source files here.
#     Make them always end in a capital .S.  Files ending in a lowercase .s
#     will not be considered source files but generated files (assembler
#     output from the compiler), and will be deleted upon "make clean"!
#     Even though the DOS/Win* filesystem matches both .s and .S the same,
#     it will preserve the spelling of the filenames, and gcc itself does
#     care about how the name is spelled on its command-line.
ASRC = 


# Optimization level, can be [0, 1, 2, 3, s]. 
#     0 = turn off optimization. s = optimize for size.
#     (Note: 3 is not always the best optimization level. See avr-libc FAQ.)
OPT = s


# Debugging format.
#     Native formats for AVR-GCC's -g are dwarf-2 [default] or stabs.
#     AVR Studio 4.10 requires dwarf-2.
#     AVR [Extended] COFF format requires stabs, plus an avr-objcopy run.
DEBUG = dwarf-2


# List any extra directories to look for include files here.
#     Each directory must be seperated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRAINCDIRS = 


# Compiler flag to set the C Standard level.
#     c89   = "ANSI" C
#     gnu89 = c89 plus GCC extensions
#     c99   = ISO C99 standard (not yet fully implemented)
#     gnu99 = c99 plus GCC extensions
CSTANDARD = -std=gnu99


# Place -D or -U options here
CDEFS = -DF_CPU=$(F_CPU)UL


# Place -I options here
CINCS =



#---------------- Compiler Options ----------------
#  -g*:          generate debugging information
#  -O*:          optimization level
#  -f...:        tuning, see GCC manual and avr-libc documentation
#  -Wall...:     warning level
#  -Wa,...:      tell GCC to pass this to the assembler.
#    -adhlns...: create assembler listing
CFLAGS = -g$(DEBUG)
CFLAGS += $(CDEFS) $(CINCS)
CFLAGS += -O$(OPT)
CFLAGS += -funsigned-char -funsigned-bitfields -fpack-struct -fshort-enums -fno-jump-tables
CFLAGS += -Wall -Wstrict-prototypes
CFLAGS += -Wa,-adhlns=$(<:.c=.lst)
CFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))
CFLAGS += $(CSTANDARD)


#---------------- Assembler Options ----------------
#  -Wa,...:   tell GCC to pass this to the assembler.
#  -ahlms:    create listing
#  -gstabs:   have the assembler create line number information; note that
#             for use in COFF files, additional information about filenames
#             and function names needs to be present in the assembler source
#             files -- see avr-libc docs [FIXME: not yet described there]
ASFLAGS = -Wa,-adhlns=$(<:.S=.lst),-gstabs 


#---------------- Library Options ----------------
# Minimalistic printf version
PRINTF_LIB_MIN = -Wl,-u,vfprintf -lprintf_min

# Floating point printf version (requires MATH_LIB = -lm below)
PRINTF_LIB_FLOAT = -Wl,-u,vfprintf -lprintf_flt

# If this is left blank, then it will use the Standard printf version.
PRINTF_LIB = 
#PRINTF_LIB = $(PRINTF_LIB_MIN)
#PRINTF_LIB = $(PRINTF_LIB_FLOAT)


# Minimalistic scanf version
SCANF_LIB_MIN = -Wl,-u,vfscanf -lscanf_min

# Floating point + %[ scanf version (requires MATH_LIB = -lm below)
SCANF_LIB_FLOAT = -Wl,-u,vfscanf -lscanf_flt

# If this is left blank, then it will use the Standard scanf version.
SCANF_LIB = 
#SCANF_LIB = $(SCANF_LIB_MIN)
#SCANF_LIB = $(SCANF_LIB_FLOAT)


MATH_LIB = -lm



#---------------- External Memory Options ----------------

# 64 KB of external RAM, starting after internal RAM (ATmega128!),
# used for variables (.data/.bss) and heap (malloc()).
#EXTMEMOPTS = -Wl,-Tdata=0x801100,--defsym=__heap_end=0x80ffff

# 64 KB of external RAM, starting after internal RAM (ATmega128!),
# only used for heap (malloc()).
#EXTMEMOPTS = -Wl,--defsym=__heap_start=0x801100,--defsym=__heap_end=0x80ffff

EXTMEMOPTS =




#---------------- Linker Options ----------------
#  -Wl,...:     tell GCC to pass this to linker.
#    -Map:      create map file
#    --cref:    add cross reference to  map file
LDFLAGS = -Wl,-Map=$(TARGET).map,--cref
LDFLAGS += $(EXTMEMOPTS)
LDFLAGS += $(PRINTF_LIB) $(SCANF_LIB) $(MATH_LIB)


#--------------- bootloader linker Options -------
# BOOTLOADER_ADDRESS (=Start of Boot Loader section
# in bytes - not words) is defined above.
#LDFLAGS += -Wl,--section-start=.text=$(BOOTLOADER_ADDRESS) -nostartfiles -nodefaultlibs
#LDFLAGS += -Wl,--section-start=.text=$(BOOTLOADER_ADDRESS) -nostartfiles
LDFLAGS += -Wl,--section-start=.text=$(BOOTLOADER_ADDRESS)

#---------------- Programming Options (avrdude) ----------------

# Programming hardware: alf avr910 avrisp bascom bsd 
# dt006 pavr picoweb pony-stk200 sp12 stk200 stk500
#
# Type: avrdude -c ?
# to get a full listing.
#
AVRDUDE_PROGRAMMER = stk500v2

# com1 = serial port. Use lpt1 to connect to parallel port.
AVRDUDE_PORT = com1    # programmer connected to serial device

AVRDUDE_WRITE_FLASH = -U flash:w:$(TARGET).hex
#AVRDUDE_WRITE_EEPROM = -U eeprom:w:$(TARGET).eep


# Uncomment the following if you want avrdude's erase cycle counter.
# Note that this counter needs to be initialized first using -Yn,
# see avrdude manual.
#AVRDUDE_ERASE_COUNTER = -y

# Uncomment the following if you do /not/ wish a verification to be
# performed after programming the device.
#AVRDUDE_NO_VERIFY = -V

# Increase verbosity level.  Please use this when submitting bug
# reports about avrdude. See <http://savannah.nongnu.org/projects/avrdude> 
# to submit bug reports.
#AVRDUDE_VERBOSE = -v -v

AVRDUDE_FLAGS = -p $(MCU) -P $(AVRDUDE_PORT) -c $(AVRDUDE_PROGRAMMER)
AVRDUDE_FLAGS += $(AVRDUDE_NO_VERIFY)
AVRDUDE_FLAGS += $(AVRDUDE_VERBOSE)
AVRDUDE_FLAGS += $(AVRDUDE_ERASE_COUNTER)



#---------------- Debugging Options ----------------

# For simulavr only - target MCU frequency.
DEBUG_MFREQ = $(F_CPU)

# Set the DEBUG_UI to either gdb or insight.
# DEBUG_UI = gdb
DEBUG_UI = insight

# Set the debugging back-end to either avarice, simulavr.
DEBUG_BACKEND = avarice
#DEBUG_BACKEND = simulavr

# GDB Init Filename.
GDBINIT_FILE = __avr_gdbinit

# When using avarice settings for the JTAG
JTAG_DEV = /dev/com1

# Debugging port used to communicate between GDB / avarice / simulavr.
DEBUG_PORT = 4242

# Debugging host used to communicate between GDB / avarice / simulavr, normally
#     just set to localhost unless doing some sort of crazy debugging when 
#     avarice is running on a different computer.
DEBUG_HOST = localhost



#============================================================================


# Define programs and commands.
SHELL = sh
CC = avr-gcc
OBJCOPY = avr-objcopy
OBJDUMP = avr-objdump
SIZE = avr-size
NM = avr-nm
AVRDUDE = avrdude
REMOVE = rm -f
COPY = cp
WINSHELL = cmd


# Define Messages
# English
MSG_ERRORS_NONE = Errors: none
MSG_BEGIN = -------- begin --------
MSG_END = --------  end  --------
MSG_SIZE_BEFORE = Size before: 
MSG_SIZE_AFTER = Size after:
MSG_COFF = Converting to AVR COFF:
MSG_EXTENDED_COFF = Converting to AVR Extended COFF:
MSG_FLASH = Creating load file for Flash:
MSG_EEPROM = Creating load file for EEPROM:
MSG_EXTENDED_LISTING = Creating Extended Listing:
MSG_SYMBOL_TABLE = Creating Symbol Table:
MSG_LINKING = Linking:
MSG_COMPILING = Compiling:
MSG_ASSEMBLING = Assembling:
MSG_CLEANING = Cleaning project:




# Define all object files.
OBJ = $(SRC:.c=.o) $(ASRC:.S=.o) 

# Define all listing files.
LST = $(SRC:.c=.lst) $(ASRC:.S=.lst) 


# Compiler flags to generate dependency files.
GENDEPFLAGS = -MD -MP -MF .dep/$(@F).d


# Combine all necessary flags and optional flags.
# Add target processor to flags.
ALL_CFLAGS = -mmcu=$(MCU) -I. $(CFLAGS) $(GENDEPFLAGS)
ALL_ASFLAGS = -mmcu=$(MCU) -I. -x assembler-with-cpp $(ASFLAGS)



############################################################
#	May 25,	2010	<MLS> Adding 1280 support
mega1280: MCU = atmega1280
mega1280: F_CPU = 16000000
mega1280: BOOTLOADER_ADDRESS = 1E000
mega1280: CFLAGS += -D_MEGA_BOARD_
mega1280: begin gccversion sizebefore build sizeafter end 
			mv $(TARGET).hex stk500boot_v2_mega1280.hex


############################################################
#	Jul 6,	2010	<MLS> Adding 2560 support
mega2560:	MCU = atmega2560
mega2560:	F_CPU = 16000000
mega2560:	BOOTLOADER_ADDRESS = 3E000
mega2560:	CFLAGS += -D_MEGA_BOARD_
mega2560:	begin gccversion sizebefore build sizeafter end 
			mv $(TARGET).hex stk500boot_v2_mega2560.hex


############################################################
#Initial config on Amber128 board
#	avrdude: Device signature = 0x1e9702
#	avrdude: safemode: lfuse reads as 8F
#	avrdude: safemode: hfuse reads as CB
#	avrdude: safemode: efuse reads as FF
#	Jul 17,	2010	<MLS> Adding 128 support
############################################################
amber128: MCU = atmega128
#amber128: F_CPU = 16000000
amber128: F_CPU = 14745600
amber128: BOOTLOADER_ADDRESS = 1E000
amber128: CFLAGS += -D_BOARD_AMBER128_
amber128: begin gccversion sizebefore build sizeafter end 
			mv $(TARGET).hex stk500boot_v2_amber128.hex

############################################################
#	Aug 23, 2010 	<MLS> Adding atmega2561 support
m2561: MCU = atmega2561
m2561: F_CPU = 8000000
m2561: BOOTLOADER_ADDRESS = 3E000
m2561: CFLAGS += -D_ANDROID_2561_ -DBAUDRATE=57600
m2561: begin gccversion sizebefore build sizeafter end 
			mv $(TARGET).hex stk500boot_v2_android2561.hex


############################################################
#	avrdude: Device signature = 0x1e9801
#	avrdude: safemode: lfuse reads as EC
#	avrdude: safemode: hfuse reads as 18
#	avrdude: safemode: efuse reads as FD
#	Aug 23,	2010	<MLS> Adding cerebot 2560 @ 8mhz
#avrdude -P usb -c usbtiny -p m2560 -v -U flash:w:/Arduino/WiringBootV2_upd1/stk500boot_v2_cerebotplus.hex 
############################################################
cerebot:	MCU = atmega2560
cerebot:	F_CPU = 8000000

## arduino 1.0~beta1+dfsg

=== debian/changelog ===
arduino (1:1.0~beta1+dfsg-1) experimental; urgency=low

  * New upstream beta release
  * Added new icons for hicolor theme
  * refreshed patches
  * Fix for Ethernet library with gcc-avr 4.5.3 (Closes: #645321,
    LP: #865266)

 -- Scott Howard <showard@debian.org>  Wed, 19 Oct 2011 10:01:21 -0400

arduino (0022+dfsg-3) unstable; urgency=low

  * Moved all non-java bits to arduino-core (Closes: #613812)
  * Edited Makefile to compile libraries during Makefile builds.
    - debian/patches/makefile_libraries.diff (Closes: #594191)
      Thanks to Stefan Tomanek
  * debian/icons/* debian/arduino.xpm  New icons, thanks to Peter Oliver.

 -- Scott Howard <showard@debian.org>  Tue, 29 Mar 2011 11:01:22 -0400

arduino (0022+dfsg-2) unstable; urgency=low

  * Updated debian/watch (Closes: #611745)
  * debian/control
    - DM-U-A removed, changed maintainer to @debian.org
    - versioned depends on rxtx (>=2.2pre2-3) for Arduino Uno support
  * debhelper 8 and debian/compat 8

 -- Scott Howard <showard@debian.org>  Thu, 10 Feb 2011 22:50:33 -0500

arduino (0022+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Dependency pruning: no need to depend on libecj-java, liboro-java
  * Refreshed patches, removed convet_to_debian_oro.patch (no longer
    needed)
  * Fixed typo in description (Closes: #608334, LP: #695481)

 -- Scott Howard <showard314@gmail.com>  Sat, 08 Jan 2011 11:02:17 -0500

arduino (0021+dfsg-3) experimental; urgency=low

  * Corrected wrapper LD_LIBRARY_PATH variable in case it is not set
    debian/patches/wrapper_for_deb.patch
  * debian/patches/remove_update_warning.patch
    -Removed notification of new upstream versions (Closes: #603818)
  * Dependency pruning: no need to depend on a jdk or ant

 -- Scott Howard <showard314@gmail.com>  Sat, 20 Nov 2010 11:25:00 -0500

arduino (0018+dfsg-6) unstable; urgency=low

   * Properly sets LD_LIBRARY_PATH in the arduino wrapper if it has not
     be previously defined or empty. See Debian bug 602041.
   * Corrected typo in arduino (0018+dfsg-5) debian/changelog entry
     /usr/lib/jni is correct (used to be /usr/lib/java, which is
     incorrect)

 -- Scott Howard <showard314@gmail.com>  Mon, 01 Nov 2010 20:47:30 -0400

arduino (0018+dfsg-5) unstable; urgency=low

   * Sets LD_LIBRARY_PATH in the arduino wrapper to look in /usr/lib/jni.
     This allows arduino to start when using a sun-java jre. See Debian
     bug 382686.

 -- Scott Howard <showard314@gmail.com>  Sat, 30 Oct 2010 11:26:53 -0400 

arduino (0021+dfsg-2) experimental; urgency=low

  * updates wrapper_for_deb.patch to set the LD_LIBRARY_PATH for sun-java
    jre. (LP: #664309)
  * debian/patches/install_jar_links.patch
    - Added patch to install symlinks for Debian java library packages.

 -- Scott Howard <showard314@gmail.com>  Sun, 24 Oct 2010 22:27:17 -0400

arduino (0021+dfsg-1) experimental; urgency=low

  * New upstream release (debian/rules get-orig-source target updated)

 -- Scott Howard <showard314@gmail.com>  Tue, 05 Oct 2010 22:10:54 -0400

arduino (0019+dfsg-1) experimental; urgency=low

  * New upstream release
    - switch to ant build system
    - refreshed patches
  * Debian policy 3.9.1

 -- Scott Howard <showard314@gmail.com>  Wed, 08 Sep 2010 18:54:10 -0400

arduino (0018+dfsg-4) unstable; urgency=low

  * Corrected and added stanzas to debian/copyright for
    - libraries/Ethernet/utility/w5100.* (GPL-2)
    - examples/ArduinoISP/ArduinoISP.pde (BSD)
    Thanks to Eberhard Fahle.
  * Depends on openjdk-6-jdk OR sun-java6-jdk. Thanks to Guillermo Reisch
  * Added support for Debian's avrdude upload protocol in
    hardware/arduino/boards.txt, thanks to Ami Chayun (Closes: 588083)
  * Debian policy 3.9.0 (no changes)

 -- Scott Howard <showard314@gmail.com>  Wed, 07 Jul 2010 21:50:09 -0400

arduino (0018+dfsg-3) unstable; urgency=low

  * Removed unneeded javadoc and arduino.jar to usr/share/arduino/
  * Changed Priority to extra (Closses: #586782)

 -- Scott Howard <showard314@gmail.com>  Fri, 25 Jun 2010 18:36:16 -0400

arduino (0018+dfsg-2) unstable; urgency=low

  [ Philip Hands ]
  * Merge arduino-core into full Java package
  * Use 0.4 version of Martin Oldfield's Arduino.mk

  [ Scott Howard ]
  * Added a arduino.README.Debian for users with non-reparenting WMs
  * Added Philip Hands as an uploader and Vcs info to debian/control
  * Installs reference/ and examples/ to /usr/share/doc and links from
    /usr/share/arduino
  * added prefixes to files in a debian directory for arduino and
    arduino-core package files

 -- Philip Hands <phil@hands.com>  Tue, 08 Jun 2010 20:14:01 +0100

arduino (0018+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #577249)

 -- Scott Howard <showard314@gmail.com>  Tue, 13 Apr 2010 22:32:24 -0400

=== debian/control ===
Source: arduino
Section: electronics
Priority: extra
Maintainer: Scott Howard <showard@debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper (>= 8), javahelper, default-jdk,
 librxtx-java (>= 2.2pre2-3), libjna-java, ant
Standards-Version: 3.9.2
Homepage: http://www.arduino.cc
Vcs-Git: git://git.debian.org/collab-maint/arduino.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/arduino.git


Package: arduino
Architecture: all
Depends: default-jre | java6-runtime, libjna-java,
 librxtx-java (>= 2.2pre2-3), ${misc:Depends},
 arduino-core (= ${binary:Version})
Recommends: extra-xdg-menus
Description: AVR development board IDE and built-in libraries
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verfication, compiling, and uploading
 to the Arduino development board. Libraries and example code will also
 be installed.

Package: arduino-core
Architecture: all
Depends: ${misc:Depends}, gcc-avr, avrdude, gcc, avr-libc
Description: Minimal (java-free) tool to interact with an Arduino
 Arduino is an open hardware microcontroller platform.  This package contains
 the minimal set of tools to allow one to program an Arduino.  It also contains
 some examples, and a quick intro in the package's README.Debian.
 .
 This package does not include the Java based Integrated Development
 Environment, which can be found in the 'arduino' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jna.jar:/usr/share/java/RXTXcomm.jar

#SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')
SVNTAG=1.0~beta1#remove after beta

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd core/methods && ant clean
	cd build && ant clean
	dh_clean

override_jh_build:
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools	
	cd core/methods && ant
	cd build && ant
	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt #comment out after beta


override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.pde

override_dh_install:
	find build/linux/work -type d -empty -delete
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh
	mkdir -p debian/arduino-core/usr/share/arduino/lib
	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib

override_jh_depends:
#jh_depends can't resolve symlinks
    


DESTDIR=$(CURDIR)/debian/arduino-$(SVNTAG)
TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz

get-orig-source:
	#During beta we can manually set the downlod file	
	#wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
	wget http://files.arduino.cc/downloads/arduino-1.0-beta1-src.tar.gz #remove after beta
	mv arduino-1.0-beta1-src.tar.gz arduino-$(SVNTAG)-src.tar.gz #remove after beta
	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz
	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/
	mv debian/arduino-1.0-beta1 debian/arduino-$(SVNTAG) #remove after beta
	#remove junk
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
	#find $(DESTDIR) -type d -empty -delete;\
	#find $(DESTDIR) -type d -iname macosx -or -iname windows | xargs -n1 rm -fr;\
	#rm -f $(DESTDIR)/src/processing/app/preproc/.cvsignore;\
	#rm -rf $(DESTDIR)/build/linux/dist/lib;\
	rm -rf $(DESTDIR)/build/linux/dist/tools;\
	#rm -f $(DESTDIR)/.project;\
	#rm -fr $(DESTDIR)/.[a-z]*;\
	#rm -fr $(DESTDIR)/app/.[a-z]*;\
	#rm -fr $(DESTDIR)/hardware/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
	
	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG);\
	rm -fr $(DESTDIR);\
	rm -fr arduino-$(SVNTAG)-src.tar.gz

PHONY: build clean binary-indep binary install get-orig-source

=== debian/watch ===
version=3
opts=\
dversionmangle=s/.dfsg// \
http://googlecode.debian.net/p/arduino/arduino-([\d\.]*)-src\.tar\.gz debian jh_repack

## arduino 1.0+dfsg

=== debian/changelog ===
arduino (1:1.0+dfsg-9) unstable; urgency=low

  * *.pde has been renamed *.ino by upstream. debian/rules changed
    to not compress *.ino

 -- Scott Howard <showard@debian.org>  Thu, 01 Mar 2012 15:58:45 -0500

arduino (1:1.0+dfsg-8) unstable; urgency=low

  * Made the bootloader makefile script executable, no need for lintian
    overrides any more (arduino/hardware/arduino/bootloaders/optboot/makeall)
  * Removed all mjo makefile patches from package. Arduino-mk is now
    suggested by arduino-core.
  * Debian S-R 3.9.3 no changes

 -- Scott Howard <showard@debian.org>  Sun, 26 Feb 2012 10:52:34 -0500

arduino (1:1.0+dfsg-7) unstable; urgency=low

  * arduino-core depends on libconfig-yaml-perl. Ship mjo/ard-parse-boards
    (Closes: #660271). Will eventually drop that depend and move all mjo/
    to new package now that there are regular releases.

 -- Scott Howard <showard@debian.org>  Sat, 18 Feb 2012 12:01:40 -0500

arduino (1:1.0+dfsg-6) unstable; urgency=low

  * New upstream release of mjo makefile (0.8). debian/patches/mjo* updated
    - Patches for version 1.0 of the Arduino IDE. Older versions might still
      work, but I've not tested it.
    - A change to the build process: rather than link all the system objects
      directly into the executable, bundle them in a library first. This
      should make the final executable smaller.
    - If TARGET isn't explicitly set, default to the current directory name.
      Thanks to Daniele Vergini for this patch.
    - Add support for .c files in system libraries: Dirk-Willem van Gulik and
      Evan Goldenberg both reported this and provided patches in the same
      spirit.
    - Added a size target as suggested by Alex Satrapa.


 -- Scott Howard <showard@debian.org>  Sun, 12 Feb 2012 17:33:27 -0500

arduino (1:1.0+dfsg-5) unstable; urgency=low

  * Updated Arduino.mk and arduino-cli.html in arduino-core for
    version 1.0 of IDE (Closes: #654162) Thanks to Antoine Sirinelli.

 -- Scott Howard <showard@debian.org>  Sun, 22 Jan 2012 00:55:49 -0500

arduino (1:1.0+dfsg-4) unstable; urgency=low

  * policykit moved to Recommends. Package can be configured
    and work without policykit (Closes: #653295)
  * Dependency on zenity removed (Closes: #653296). Uses Debian
    specefic checker in debian/permission-checker instead (written in
    java as to pull in no extra dependencies).

 -- Scott Howard <showard@debian.org>  Tue, 27 Dec 2011 12:21:24 -0500

arduino (1:1.0+dfsg-3) unstable; urgency=low

  * Only add user to dialout group, not tty. Testing shows only
    dialout is necessary, and don't want to add extra permissions.
  * added manpage for arduino-add-groups

 -- Scott Howard <showard@debian.org>  Fri, 23 Dec 2011 11:03:49 -0500

arduino (1:1.0+dfsg-2) unstable; urgency=low

  * Historic arduino main.cxx and Makefile removed in favor of
    /usr/share/arduino/Arduino.mk. (Closes: #652571)
  * Updated debian/watch to ignore versions starting with 00
  * debian/patches/permission_fix.patch,
    debian/dist/cc.arduino.add-groups.policy,
    debian/dist/arduino-add-groups added to add users to dailout and
    tty groups if needed. (Closes: #652523)
  * Added debian/arduino.sharedmimeinfo

 -- Scott Howard <showard@debian.org>  Sun, 18 Dec 2011 21:12:15 -0500

arduino (1:1.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/patches/arduino_protocol_avrdude_510.patch removed, applied upstream

 -- Scott Howard <showard@debian.org>  Mon, 05 Dec 2011 18:36:02 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 8), javahelper, default-jdk,
  librxtx-java (>= 2.2pre2-3), libjna-java, ant
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.arduino.cc
 Vcs-Git: git://git.debian.org/collab-maint/arduino.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/arduino.git
@@ -16,7 +16,7 @@
 Depends: default-jre | java6-runtime, libjna-java,
  librxtx-java (>= 2.2pre2-3), ${misc:Depends},
  arduino-core (= ${binary:Version})
-Recommends: extra-xdg-menus
+Recommends: extra-xdg-menus, policykit-1
 Description: AVR development board IDE and built-in libraries
  Arduino is an open-source electronics prototyping platform based on
  flexible, easy-to-use hardware and software. It's intended for artists,
@@ -31,10 +31,11 @@
 Package: arduino-core
 Architecture: all
 Depends: ${misc:Depends}, gcc-avr, avrdude, gcc, avr-libc
-Description: Minimal (java-free) tool to interact with an Arduino
+Suggests: arduino-mk
+Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains
  the minimal set of tools to allow one to program an Arduino.  It also contains
- some examples, and a quick intro in the package's README.Debian.
+ examples and libraries. For a CLI, see the 'arduino-mk' package.
  .
  This package does not include the Java based Integrated Development
  Environment, which can be found in the 'arduino' package.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 export JAVA_HOME=/usr/lib/jvm/default-java
 export CLASSPATH=/usr/share/java/jna.jar:/usr/share/java/RXTXcomm.jar
 
-#SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')
-SVNTAG=1.0~beta1#remove after beta
+SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/[0-9]*:\([0-9].*\)+dfsg-[0-9]/\1/')
 
 %:
 	dh $@ --with javahelper
@@ -16,6 +15,7 @@
 	rm -rf build/linux/work/hardware/tools
 	cd core/methods && ant clean
 	cd build && ant clean
+	rm -f debian/permission-checker/*.class
 	dh_clean
 
 override_jh_build:
@@ -24,19 +24,23 @@
 	cd core/methods && ant
 	cd build && ant
 	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt #comment out after beta
+	javac debian/permission-checker/arduinopc.java
+	cd debian/permission-checker && jar cfe arduinopc.jar arduinopc *.class
+	mv debian/permission-checker/*.jar .
 
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k build/linux/work/revisions.txt
 
 override_dh_compress:
-	dh_compress -X.pde
+	dh_compress -X.ino
 
 override_dh_install:
 	find build/linux/work -type d -empty -delete
 	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh
 	mkdir -p debian/arduino-core/usr/share/arduino/lib
 	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib
+	chmod +x debian/arduino-core/usr/share/arduino/hardware/arduino/bootloaders/optiboot/makeall
 
 override_jh_depends:
 #jh_depends can't resolve symlinks
@@ -47,13 +51,9 @@
 TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz
 
 get-orig-source:
-	#During beta we can manually set the downlod file	
-	#wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
-	wget http://files.arduino.cc/downloads/arduino-1.0-beta1-src.tar.gz #remove after beta
-	mv arduino-1.0-beta1-src.tar.gz arduino-$(SVNTAG)-src.tar.gz #remove after beta
+	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
 	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz
 	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/
-	mv debian/arduino-1.0-beta1 debian/arduino-$(SVNTAG) #remove after beta
 	#remove junk
 	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
 	#find $(DESTDIR) -type d -empty -delete;\

=== debian/watch ===
version=3
opts=\
dversionmangle=s/.dfsg//,\
uversionmangle=s/00/0\./ \
http://googlecode.debian.net/p/arduino/arduino-([\d\.]*)-src\.tar\.gz debian jh_repack

## arduino 1.0.1~rc1+dfsg

=== debian/changelog ===
arduino (1:1.0.1~rc1+dfsg-1) experimental; urgency=low

  * New upstream release, experimental.

 -- Scott Howard <showard@debian.org>  Sun, 11 Mar 2012 18:19:42 -0400

=== debian/rules ===
--- 
+++ 
@@ -51,20 +51,15 @@
 TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz
 
 get-orig-source:
-	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
-	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz
-	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/
+	#wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz UNCOMMENT after RC
+	wget http://files.arduino.cc/downloads/arduino-1.0.1-rc1-src.tar.gz #DELETE after RC
+	mv arduino-1.0.1-rc1-src.tar.gz arduino-1.0.1~rc1-src.tar.gz #DELETE after RC
+	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz;\
+	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/;\
+	mv debian/arduino-1.0.1-rc1 debian/arduino-1.0.1~rc1 #DELETE after RC
 	#remove junk
 	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
-	#find $(DESTDIR) -type d -empty -delete;\
-	#find $(DESTDIR) -type d -iname macosx -or -iname windows | xargs -n1 rm -fr;\
-	#rm -f $(DESTDIR)/src/processing/app/preproc/.cvsignore;\
-	#rm -rf $(DESTDIR)/build/linux/dist/lib;\
 	rm -rf $(DESTDIR)/build/linux/dist/tools;\
-	#rm -f $(DESTDIR)/.project;\
-	#rm -fr $(DESTDIR)/.[a-z]*;\
-	#rm -fr $(DESTDIR)/app/.[a-z]*;\
-	#rm -fr $(DESTDIR)/hardware/tools;\
 	#upstream set a bunch of files as execultable that should not be. remove the -x bit
 	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\

## arduino 1.0.1+dfsg

=== debian/changelog ===
arduino (1:1.0.1+dfsg-7) unstable; urgency=low

  * Fixed another gcc 4.7 related bug in Ethernet library due to IPAddress
    pointing to either a uint8_t or unint32_t IP address (Closes: #689325)
    Thanks to Francesco Apollonio

 -- Scott Howard <showard@debian.org>  Tue, 02 Oct 2012 15:19:56 -0400

arduino (1:1.0.1+dfsg-6) unstable; urgency=low

  * Fixes gcc 4.7 related build failure of Ethernet library
    (Closes: #684748)

 -- Scott Howard <showard@debian.org>  Fri, 24 Aug 2012 09:29:34 -0400

arduino (1:1.0.1+dfsg-5) unstable; urgency=low

  * Updated Resources_fr.propertues to fix French transtaion of Copy
    in Edit menu (Closes: #682079)

 -- Scott Howard <showard@debian.org>  Mon, 30 Jul 2012 11:04:58 -0400

arduino (1:1.0.1+dfsg-4) unstable; urgency=low

  * Fixed French translation of "Copy" in "Edit" menu (Closes: #682079)

 -- Scott Howard <showard@debian.org>  Thu, 19 Jul 2012 13:51:07 -0400

arduino (1:1.0.1+dfsg-3) unstable; urgency=low

  * Fixed spelling error in pop-up window that adds users to dialout
    group. Clarified that clicking "Add" will add you to the group.
    (Closes: #677376)
  * Added patches for core library using gcc-avr 4.7 (Closes: #677294)

 -- Scott Howard <showard@debian.org>  Wed, 13 Jun 2012 10:30:23 -0400

arduino (1:1.0.1+dfsg-2) unstable; urgency=low

  * debian/patches/SimpleDateFormat_fix.diff
    - Arduino would fail to launch if date strings were improperly
      translated. (Closes: #674415)

 -- Scott Howard <showard@debian.org>  Sun, 03 Jun 2012 16:35:24 -0400

arduino (1:1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 22 May 2012 09:26:04 -0400

arduino (1:1.0.1~rc2+dfsg-2) experimental; urgency=low

  * Allow for opening file from command line or file manager
    e.g. "$ arduino {filename}.ino" (LP: #998952)
  * Properly detect groups assigned by PAM (Closes: #669058)

 -- Scott Howard <showard@debian.org>  Mon, 14 May 2012 00:05:04 -0400

arduino (1:1.0.1~rc2+dfsg-1) experimental; urgency=low

  * Updated watch file, remove compressed avrtools that upstream added
  * New upstream release.

 -- Scott Howard <showard@debian.org>  Wed, 11 Apr 2012 23:21:24 -0400

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 Package: arduino-core
 Architecture: all
-Depends: ${misc:Depends}, gcc-avr, avrdude, gcc, avr-libc
+Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains

=== debian/rules ===
--- 
+++ 
@@ -51,14 +51,14 @@
 TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz
 
 get-orig-source:
-	#wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz UNCOMMENT after RC
-	wget http://files.arduino.cc/downloads/arduino-1.0.1-rc1-src.tar.gz #DELETE after RC
-	mv arduino-1.0.1-rc1-src.tar.gz arduino-1.0.1~rc1-src.tar.gz #DELETE after RC
+	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
+	#wget http://files.arduino.cc/downloads/arduino-1.0.1-rc2-src.tar.gz #used for RC
+	#mv arduino-1.0.1-rc2-src.tar.gz arduino-1.0.1~rc2-src.tar.gz #used for RC
 	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz;\
 	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/;\
-	mv debian/arduino-1.0.1-rc1 debian/arduino-1.0.1~rc1 #DELETE after RC
+	#mv debian/arduino-1.0.1-rc2 debian/arduino-1.0.1~rc2 #used for RC
 	#remove junk
-	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
+	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore -or -iname *.bz2 | xargs -n1 rm -f;\
 	rm -rf $(DESTDIR)/build/linux/dist/tools;\
 	#upstream set a bunch of files as execultable that should not be. remove the -x bit
 	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\

## arduino 1.0.3+dfsg

=== debian/changelog ===
arduino (1:1.0.3+dfsg-2) experimental; urgency=low

  * debian/patches/no-caller-saves.patch
    - workaround for GCC 4.7 bug, WiFi.cpp won't compile (Closes: #698254)
      (LP: #1112499)

 -- Scott Howard <showard@debian.org>  Fri, 01 Feb 2013 09:47:46 -0500

arduino (1:1.0.3+dfsg-1) experimental; urgency=low

  * New upstream release. Updated debian/copyright and added copyright_check
    rule to debian/rules

 -- Scott Howard <showard@debian.org>  Fri, 28 Dec 2012 11:45:55 -0500

arduino (1:1.0.2+dfsg-1) experimental; urgency=low

  * New upstream release
    - No wifishield firmware inluded in Debian: pre-compiled avr32 binaries
      with no sane build system. For source code and binaries, see the 
      wifishield repo on github
  * refreshed patches:
    - debian/patches/SimpleDateFormat_fix.diff deleted, applied upstream
    - debian/patches/gcc47_avr.patch updated, partially applied upstream
    - debian/patches/wrapper_for_deb.patch updated, partially applied upstream
  * Updated debian/copyright for new files

 -- Scott Howard <showard@debian.org>  Mon, 05 Nov 2012 13:53:48 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 
 override_jh_build:
 	jh_linkjars
-	mkdir -p build/linux/work/hardware/tools	
+	mkdir -p build/linux/work/hardware/tools
+	#remove unneeded macosx support
+	rm -rf app/src/processing/app/macosx
 	cd core/methods && ant
 	cd build && ant
 	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt #comment out after beta
@@ -44,9 +46,11 @@
 
 override_jh_depends:
 #jh_depends can't resolve symlinks
+
+copyright_check:
+	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
+	rm debian/stamp-copyright-check
     
-
-
 DESTDIR=$(CURDIR)/debian/arduino-$(SVNTAG)
 TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz
 
@@ -60,11 +64,11 @@
 	#remove junk
 	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore -or -iname *.bz2 | xargs -n1 rm -f;\
 	rm -rf $(DESTDIR)/build/linux/dist/tools;\
+	#precompiled avr32 binaries, no sane build system
+	rm -rf $(DESTDIR)/hardware/arduino/firmwares/wifishield;\
 	#upstream set a bunch of files as execultable that should not be. remove the -x bit
 	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
 	
 	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG);\
 	rm -fr $(DESTDIR);\
 	rm -fr arduino-$(SVNTAG)-src.tar.gz
-
-PHONY: build clean binary-indep binary install get-orig-source

## arduino 1.0.5+dfsg2

=== debian/changelog ===
arduino (2:1.0.5+dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * efuse-and-lock-values.patch: Avrdude fuse read mask change (closes: #824815)
  * build-on-all-platforms.patch: FTBFS on armhf (closes: #814692)
  * Depend on avrdude 6.3-2 and newer
  * Bump up debhelper to version 9 

 -- Milan Kupcevic <milan@debian.org>  Fri, 09 Dec 2016 00:05:25 -0500

arduino (2:1.0.5+dfsg2-4) unstable; urgency=medium

  * Add revisions.txt to distribution (LP: #1319627)
  * DSV 3.9.5 no changes

 -- Scott Howard <showard@debian.org>  Thu, 29 May 2014 16:58:21 -0400

arduino (2:1.0.5+dfsg2-3) unstable; urgency=low

  * Bump epoch to fix versioning problems with arduino-mk

 -- Scott Howard <showard@debian.org>  Wed, 02 Apr 2014 16:17:49 -0400

arduino (1:1.5.6.2+really1.0.5-1) unstable; urgency=low

  * Replace accidental upload to unstable.

 -- Scott Howard <showard@debian.org>  Tue, 01 Apr 2014 16:53:39 -0400

arduino (1:1.0.5+dfsg2-2) unstable; urgency=low

  * remove link to web-based icons in documentation. Fixes privacy
    violation, thanks lintian.

 -- Scott Howard <showard@debian.org>  Fri, 14 Feb 2014 16:41:41 -0500

arduino (1:1.0.5+dfsg2-1) unstable; urgency=low

  * New upstream release
  * removed debian/patches/fr_fix.diff, applied upstream
  * Added Keywords to arduino.desktop
  * SV 3.9.4 no changes
  * Vcs-* changed to cannonical URLs
  * New patches:
    - debian/patches/Adafruit_GFX.patch: fixed typo
    - debian/patches/const_progmem.patch: PROGMEM variables must be
      consts
    - debian/patches/depricated_typedef_support.patch: enable
      compatibility support for avr-libc depricated typedefs
    - debian/patches/roboIRread.patch: fixed typos

 -- Scott Howard <showard@debian.org>  Tue, 04 Jun 2013 11:58:36 -0400

arduino (1:1.0.4+dfsg-2) unstable; urgency=low

  * Merge from experimental
  * Create symoblic link /usr/share/arduino/harware/tools/avr to /usr
    Thanks to Alessandro Ghedini (Closes: #704001)

 -- Scott Howard <showard@debian.org>  Sun, 05 May 2013 14:46:53 -0400

arduino (1:1.0.4+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 18 Mar 2013 22:14:36 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Scott Howard <showard@debian.org>
 Uploaders: Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 8), javahelper, default-jdk,
+Build-Depends: debhelper (>= 9), javahelper, default-jdk,
  librxtx-java (>= 2.2pre2-3), libjna-java, ant
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.arduino.cc
-Vcs-Git: git://git.debian.org/collab-maint/arduino.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/arduino.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/arduino.git
 
 
 Package: arduino
@@ -30,7 +30,8 @@
 
 Package: arduino-core
 Architecture: all
-Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
+Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude (>= 6.3-2), gcc,
+ avr-libc (>= 1.8.0)
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,11 @@
 	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib
 	chmod +x debian/arduino-core/usr/share/arduino/hardware/arduino/bootloaders/optiboot/makeall
 
+override_dh_installdocs:
+	dh_installdocs
+	#Delete links to fetch web based icon (privacy violation, thanks lintian)
+	sed -i '/favicon\.png/d' debian/arduino-core/usr/share/doc/arduino-core/reference/*.html
+
 override_jh_depends:
 #jh_depends can't resolve symlinks
 
@@ -67,7 +72,7 @@
 	#precompiled avr32 binaries, no sane build system
 	rm -rf $(DESTDIR)/hardware/arduino/firmwares/wifishield;\
 	#upstream set a bunch of files as execultable that should not be. remove the -x bit
-	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
+	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname key*.gz -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
 	
 	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG);\
 	rm -fr $(DESTDIR);\

=== debian/watch ===
version=3
opts=\
dversionmangle=s/.dfsg//,\
uversionmangle=s/00/0\./ \
http://code.google.com/p/arduino/downloads/list?can=1 .*/arduino-(\d[\d\.]*)-src\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
